#!/usr/bin/env ruby
# -*- coding: utf-8 -*-
puts "スーパーのレジだよ。"
puts "買ったものの値段を入れてね。（100 円→100 と入力しよう）"
gokei = 0
while true
puts "値段は？（終わりたい時は q を押してね）"
nedan = gets.chomp
if nedan == "q"
break
end
gokei += nedan.to_i
printf("今の小計は%d 円だよ。\n", gokei)
end
printf("合計%d 円です。\n", gokei)
puts "お買い上げありがとうございました！
end
